#include <stdio.h>
#include <ctpublic.h>
#include "common.h"

static char  software_version[]   = "$Id: t0001.c,v 1.1 1999/12/05 16:23:28 camber Exp $";
static void *no_unused_var_warn[] = {software_version,
                                     no_unused_var_warn};

 int main()
 {
 CS_CONTEXT *ctx; 
 CS_CONNECTION *conn; 
 CS_COMMAND *cmd; 

 CS_DATAFMT datafmt;

 CS_INT datalength;
 CS_SMALLINT ind;
 CS_INT count;
 CS_RETCODE ret;
 CS_RETCODE results_ret;
 CS_INT result_type;
 CS_CHAR name[256];
	
	/* read login information from PWD file */
	read_login_info();

	ret = cs_ctx_alloc(CS_VERSION_100, &ctx);
	if (ret!=CS_SUCCEED) {
		fprintf(stderr,"Context Alloc failed!\n");
		exit(1);
	}
 	ret = ct_init(ctx, CS_VERSION_100);
	if (ret!=CS_SUCCEED) {
		fprintf(stderr,"Library Init failed!\n");
		exit(1);
	}

 	ret = ct_con_alloc(ctx, &conn);
	if (ret!=CS_SUCCEED) {
		fprintf(stderr,"Connect Alloc failed!\n");
		exit(1);
	}

 	ct_con_props(conn, CS_SET, CS_USERNAME, USER, CS_NULLTERM, NULL);
 	ct_con_props(conn, CS_SET, CS_PASSWORD, PASSWORD, CS_NULLTERM, NULL);
 	ret = ct_connect(conn, SERVER, CS_NULLTERM);
	if (ret!=CS_SUCCEED) {
		fprintf(stderr,"Connection failed!\n");
		exit(1);
	}

 	ret = ct_cmd_alloc(conn, &cmd);
	if (ret!=CS_SUCCEED) {
		fprintf(stderr,"Command Alloc failed!\n");
		exit(1);
	}

 	ret = ct_command(cmd, CS_LANG_CMD, "select name = @@servername", CS_NULLTERM, CS_UNUSED);

 	ret = ct_send(cmd);
 	while( (results_ret = ct_results(cmd, &result_type)) == CS_SUCCEED) {
 		switch((int)result_type) {
			case CS_ROW_RESULT:
 				datafmt.datatype = CS_CHAR_TYPE;
				datafmt.format = CS_FMT_NULLTERM;
				datafmt.maxlength = 256;
				datafmt.count = 1;
				datafmt.locale = NULL;
				ret = ct_bind(cmd, 1, &datafmt, name, &datalength, &ind);

 				while(((ret = ct_fetch(cmd, CS_UNUSED, CS_UNUSED, CS_UNUSED,
				 &count)) == CS_SUCCEED) || (ret == CS_ROW_FAIL)) {
 					if( ret == CS_ROW_FAIL ) {
 						fprintf(stderr, "Error reading row.\n"); 
						exit(1);
					}
 					fprintf(stdout, "server name = %s\n", name);
				}
				break;
 			case CS_CMD_FAIL:
				fprintf(stderr,"Command failed.\n");
				exit(1);
 			break;
 			case CS_CMD_DONE:
 			break;
 		}
	}
 	switch( (int) results_ret) {
 		case CS_END_RESULTS:
 			break;
 		case CS_FAIL:
			fprintf(stderr,"Command failed.\n");
			exit(1);
 			break;
 	}

	ct_cmd_drop(cmd);
 	ct_close(conn, CS_UNUSED); 
 	ct_con_drop(conn);
 	ct_exit(ctx, CS_UNUSED);
 	cs_ctx_drop(ctx);
 	exit(0);
}
