/* FreeTDS - Library of routines accessing Sybase and Microsoft databases
 * Copyright (C) 1998-1999  Brian Bruns
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <tds.h>
#include <common.h>


static char  software_version[]   = "$Id: t0001.c,v 1.2 1999/12/04 23:14:55 camber Exp $";
static void *no_unused_var_warn[] = {software_version,
                                     no_unused_var_warn};


int main()
{
TDSLOGIN *login;
TDSSOCKET *tds;
int failed = 0;

   read_login_info();
   login = tds_alloc_login();
   tds_set_passwd(login,PASSWORD);
   tds_set_user(login,USER);
   tds_set_app(login,"t0001");
   tds_set_host(login,"myhost");
   tds_set_library(login,"TDS-Library");
   tds_set_server(login,SERVER);
   tds_set_charset(login,"iso_1");
   tds_set_language(login,"us_english");
   tds_set_packet(login,512);
  
   if (!(tds = tds_connect(login))) {
	failed = 1;
   } else {
	failed = 0;
   }
   fprintf(stdout, "tds %s on %s\n",
           (failed?"failed!":"okay"),
           __FILE__);
   return failed ? 1 : 0;


}
